export var BodyMediaType;
(function (BodyMediaType) {
    BodyMediaType["None"] = "None";
    BodyMediaType["Binary"] = "Binary";
    BodyMediaType["Form"] = "Form";
    BodyMediaType["Json"] = "Json";
    BodyMediaType["Multipart"] = "Multipart";
    BodyMediaType["Text"] = "Text";
    BodyMediaType["Xml"] = "Xml";
})(BodyMediaType || (BodyMediaType = {}));
export function typeToBodyMediaType(type) {
    if (type === undefined) {
        return BodyMediaType.None;
    }
    if (type.kind === "Model") {
        return BodyMediaType.Json;
    }
    else if (type.kind === "String") {
        return BodyMediaType.Text;
    }
    else if (type.kind === "Scalar" && type.name === "bytes") {
        return BodyMediaType.Binary;
    }
    return BodyMediaType.None;
}
//# sourceMappingURL=body-media-type.js.map